com.ibm.openpages.api.theme

## Class ThemeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.theme.ThemeException

- All Implemented Interfaces:
    java.io.Serializable

      public class ThemeException
      extends OpenPagesException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BASE_THEME_MUST_BE_A_SYSTEM_THEME`
    `static int` | `CANNOT_DELETE_DEFAULT`
    `static int` | `CANNOT_DELETE_SYSTEM_THEME`
    `static int` | `CANNOT_DISABLE_DEFAULT`
    `static int` | `NO_DEFAULT_THEME`
    `static int` | `THEME_DOES_NOT_EXIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThemeException(int errorMessageId, java.util.List<java.lang.Object> parameters, java.lang.Throwable originalCause)`

  - ### Method Summary

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### THEME_DOES_NOT_EXIST

          public static final int THEME_DOES_NOT_EXIST

      See Also:
        Constant Field Values

    - #### NO_DEFAULT_THEME

          public static final int NO_DEFAULT_THEME

      See Also:
        Constant Field Values

    - #### CANNOT_DELETE_DEFAULT

          public static final int CANNOT_DELETE_DEFAULT

      See Also:
        Constant Field Values

    - #### CANNOT_DELETE_SYSTEM_THEME

          public static final int CANNOT_DELETE_SYSTEM_THEME

      See Also:
        Constant Field Values

    - #### CANNOT_DISABLE_DEFAULT

          public static final int CANNOT_DISABLE_DEFAULT

      See Also:
        Constant Field Values

    - #### BASE_THEME_MUST_BE_A_SYSTEM_THEME

          public static final int BASE_THEME_MUST_BE_A_SYSTEM_THEME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThemeException

          public ThemeException(int errorMessageId,
                                java.util.List<java.lang.Object> parameters,
                                java.lang.Throwable originalCause)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.